Bug 1299038 - Review Request: prunerepo - remove old packages from rpm-md repository
Review Request: prunerepo - remove old packages from rpm-md repository
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-15 13:30 EST by clime
Modified: 2016-02-05 16:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-05 16:22:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
msuchy: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description clime 2016-01-15 13:30:54 EST
Spec URL: http://clime.cz/copr/copr-prune-repo.spec
SRPM URL: http://clime.cz/copr/copr-prune-repo-1.3-1.fc23.src.rpm
Description: A simple script that removes failed and obsolete succeeded builds from a copr repository. Currently it needs a patched version of dnf-plugins-core to be found at copr clime/dnf-plugins-repo (dnf copr enable clime/dnf-plugins-repo). Pull request (#141) has been submitted to upstream.
Fedora Account System Username: clime
Comment 1 clime 2016-01-16 14:02:18 EST
Spec URL: http://clime.cz/copr/1.4/copr-prune-repo.spec
SRPM URL: http://clime.cz/copr/1.4/copr-prune-repo-1.4-1.fc23.src.rpm

An updated version that refreshes dnf cache each time the script is called and hence it is assured up-to-date info about the latest packages is retrieved.
Comment 2 Miroslav Suchý 2016-01-18 05:52:16 EST
Few comments:
* please use %{buildroot} instead of $RPM_BUILD_ROOT so you use macros consistently.
* summary should not have trailing dot
  https://fedoraproject.org/wiki/Packaging:Guidelines#summary
* since you are the author of this tool, can you provide license file and put it in %files section as %license
  https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text

Since this is your first package you need to block FE-NEEDSPONSOR as only Fedora Sponsors can do your first package review (subsequent reviews can be done by any packager).
Comment 3 Miroslav Suchý 2016-01-18 09:10:17 EST
Additionally:
* Summary should be max 80 characters long
* man page should be named exactly as the binary. I recommend to remove the .py suffix from the name of the script.
Comment 4 clime 2016-01-19 05:37:47 EST
Review reaction:

Spec URL: http://clime.cz/copr/1.5/copr-prune-repo.spec
SRPM URL: http://clime.cz/copr/1.5/copr-prune-repo-1.5-1.fc23.src.rpm

I am going to provide more generic version of this script so this package will most likely become deprecated.
Comment 6 Miroslav Suchý 2016-01-24 15:26:26 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane.
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Issues:
* build the package without --test so the name and tar file is canonical.
Comment 7 clime 2016-01-25 04:15:55 EST
Tagged version 1.1 (build without --test so .spec file according to URL is the same as in SRPM):

SPEC URL: http://clime.cz/prunerepo-1.1/prunerepo.spec
SRPM URL: http://clime.cz/prunerepo-1.1/prunerepo-1.1-1.fc23.src.rpm
Comment 8 Miroslav Suchý 2016-01-25 04:26:20 EST
APPROVED
Comment 9 Gwyn Ciesla 2016-01-25 09:08:24 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/prunerepo
Comment 10 Fedora Update System 2016-01-27 08:30:44 EST
prunerepo-1.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a787b58577
Comment 11 Fedora Update System 2016-01-28 17:27:28 EST
prunerepo-1.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a787b58577
Comment 12 Fedora Update System 2016-02-05 16:22:21 EST
prunerepo-1.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.